//
//  NonAnimatedCALayer.h
//  jigplay-macos
//
//  Created by Didou on 20/09/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


/** Subclass of regular CALayers in order to have layers with no animation when
    setting their content. In effect, we want the content image of the layer to
    appear immediately and not gradually.
    It seems that this is not useful anymore if using the mechanism
    [CATransaction flush] ;
    [CATransaction begin] ;
    [CATransaction setValue: (id) kCFBooleanTrue
                     forKey: kCATransactionDisableActions] ;
    ...
    [CATransaction commit] ; */
@interface NonAnimatedCALayer : CALayer {

}
- (id<CAAction>)actionForKey:(NSString *)event ;

@end
