//
//  NonAnimatedCALayer.m
//  jigplay-macos
//
//  Created by Didou on 20/09/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "NonAnimatedCALayer.h"


@implementation NonAnimatedCALayer


/** Override this method to have our custom CALayers not begin animated when
    their content changes. Indeed, we want the new content to appear immediately
    and not gradually. */
- (id<CAAction>)actionForKey:(NSString *)event
{
  if ([event isEqualToString: @"contents"]) return (nil) ;
  return [super actionForKey: event] ;
}

@end
